JPEG madness

I'm creating some images for a technical specification. Each is a
detail view of an assembly with different components/configurations
displayed to show the various steps of a process. I'm using shaded
views, adding a dimension or two and saving as JPEG. The first attempt
turned out fine. All subsequent attempts refuse to save as a color
image. They show up as greyscale. If I attempt to resave the first
image which was OK, it too shows up as greyscale. Madness. Sheer madness.
Jim S.
Reply to
Jim Sculley
Loading thread data ...
Jim,
I just went through this and may be able to help. First, make sure you have SP2 minimum. Then, in Photoworks, choose "render to file". Make sure to check "use Solidworks materials and color" if you are already set up properly. The default is .BMP but there is an option for JPEG. I always set the picture size to 20"x (fixed aspect ratio) which tells you that the file size will be 4 MB or so. When the JPEG is actually rendered it turns out to be more like 450KB but with photoworks anti-aliasing and resolution. The same in a BMP is about 6MB but zips down to less than 100KB. Both look terrific. You might want to check your printer setup to be sure you have AUTO or COLOR selected.
Dennis
Reply to
Dennis Deacon
Jim:
Even when it's working you can do much better for screen capturing than with what is available in SWX.
I use a program from Techsmith called SnagIT which is easy to use and is so much faster and better than SWX capture. It's shareware, and if you don't pay the $10 it will begin watermarking your pictures in 30 days. I have purchased this tool because it works great. However, I do have an older version which doesn't nag or watermark, and I'm happy to email it to you if you like. Just send me an email.
Todd
Reply to
Todd
not ideal, but in sw you can do a print preview, then print screen (or alt+print screen), paste into application of choice & crop edges. image is quite nice using this method.
Reply to
kenneth b
someone posted this macro a while back, it may help you.
Dim swApp As Object Dim ModelDoc2 As Object Dim filenameIn As String Dim widthIn As Long Dim heightIn As Long
Sub main()
Set swApp = CreateObject("SldWorks.Application") Set ModelDoc2 = swApp.ActiveDoc
' path where Bitmap should be saved filenameIn = "c:\temp\test.bmp" ' desired height and width widthIn = 1056 heightIn = 816
' save and check if okay If ModelDoc2.SaveBMP(filenameIn, widthIn, heightIn) Then MsgBox filenameIn & " saved successfully" End If
End Sub
Reply to
kenneth b
Try Captura (free)
formatting link
fine
'Sporky'
Reply to
Sporkman

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.